Bug 1649107 - nut-client contains /PyNUT.py (in the root directory)
Summary: nut-client contains /PyNUT.py (in the root directory)
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: nut
Version: 29
Hardware: All
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Michal Hlavinka
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-11-12 22:54 UTC by Doncho Gunchev
Modified: 2019-04-06 20:18 UTC (History)
9 users (show)

Fixed In Version: nut-2.7.4-23.fc28 nut-2.7.4-23.fc29 nut-2.7.4-23.fc30
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-04-06 19:21:35 UTC


Attachments (Terms of Use)

Description Doncho Gunchev 2018-11-12 22:54:58 UTC
Description of problem:
The nut-client-2.7.4-19.fc29.x86_64 package puts PyNUT.py in the root directory

Version-Release number of selected component (if applicable):


How reproducible:
rpm -ql nut-client-2.7.4-19.fc29.x86_64 | grep PyNUT.py

Steps to Reproduce:
1. rpm -ql nut-client-2.7.4-19.fc29.x86_64 | grep PyNUT.py

Actual results:
/PyNUT.py


Expected results:
PyNUT.py not in the root directory... :-)

Comment 1 clifford snow 2018-12-20 22:47:02 UTC
I can confirm this report. I just installed nut-client and found PyNUT.py in the foot directory.

The install also did not include the glade module.

Comment 2 Jan Kratochvil 2018-12-30 16:39:52 UTC
# nut-monitor 
Traceback (most recent call last):
  File "/usr/bin/nut-monitor", line 43, in <module>
    import PyNUT
ImportError: No module named PyNUT

Workarounded by: cp -p /PyNUT.py /usr/lib/python2.7/site-packages/PyNUT.py

(In reply to clifford snow from comment #1)
> I can confirm this report. I just installed nut-client and found PyNUT.py in
> the foot directory.
> 
> The install also did not include the glade module.

I do not see this problem:
-rw-r--r-- 1 root root 54516 Dec 29 2015 /usr/share/nut/nut-monitor/gui-1.3.glade

Comment 3 Andrea Perotti 2019-01-05 19:01:45 UTC
The original spec file also lack both pygtk2 and pygtk2-libglade as dependecies for nut-monitor.
Without those 2 libs installed, runnin the outcome will be:

$ nut-monitor 
Traceback (most recent call last):
  File "/usr/bin/nut-monitor", line 31, in <module>
    import gtk, gtk.glade, gobject
ImportError: No module named glade

Comment 4 Victor Rehorst 2019-01-25 15:43:50 UTC
There is a candidate update to 2.7.4-21 listed in Koji that fixes this problem, however it has not (yet) been submitted to Bodhi.

https://koji.fedoraproject.org/koji/buildinfo?buildID=1176868

Unfortunately, it doesn't fix the missing pygtk2-libglade and pygtk2 dependencies on nut-monitor.

I am not the package maintainer, and I've read the Fedora update policies but I'm not sure if I'm within my rights to submit it to Bodhi for testing.  If it was there, I'd test it!

Comment 5 Fedora Update System 2019-03-26 07:38:09 UTC
nut-2.7.4-23.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2019-e6bdcc9a22

Comment 6 Fedora Update System 2019-03-26 07:38:18 UTC
nut-2.7.4-23.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-4c732996bd

Comment 7 Fedora Update System 2019-03-26 07:38:30 UTC
nut-2.7.4-23.fc30 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-26c0784641

Comment 8 Andrea Perotti 2019-03-26 12:16:27 UTC
(In reply to Fedora Update System from comment #6)
> nut-2.7.4-23.fc29 has been submitted as an update to Fedora 29.
> https://bodhi.fedoraproject.org/updates/FEDORA-2019-4c732996bd

Works as expected, thanks for the update!

Comment 9 Fedora Update System 2019-03-27 00:45:17 UTC
nut-2.7.4-23.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-26c0784641

Comment 10 Fedora Update System 2019-03-27 04:11:46 UTC
nut-2.7.4-23.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-e6bdcc9a22

Comment 11 Fedora Update System 2019-03-27 04:34:33 UTC
nut-2.7.4-23.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-4c732996bd

Comment 12 Fedora Update System 2019-04-06 19:21:35 UTC
nut-2.7.4-23.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2019-04-06 19:43:05 UTC
nut-2.7.4-23.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2019-04-06 20:18:45 UTC
nut-2.7.4-23.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.